Timekit developers

GET Listing services

Lists all the services

Endpoint

GET https://api.timekit.io/v2/location/services

Parameters

Name In Type Required Default Description
search query string
include query string
name query string Partial match on the service name

Request examples

curl
curl --request GET \
  --url https://api.timekit.io/v2/location/services \
  --header 'Content-Type: application/json' \
  --user :test_api_key_nvHfRSlhvsnlg4rS7Wt28Ty47qdgegwSu3YK7hPW

Response examples

200

json
{
    "current_page": 1,
    "first_page_url": "https:\/\/api.timekit.io\/v2\/location\/services?orderBy=created_at&sortedBy=desc&page=1",
    "from": 1,
    "last_page": 1,
    "last_page_url": "https:\/\/api.timekit.io\/v2\/location\/services?orderBy=created_at&sortedBy=desc&page=1",
    "next_page_url": null,
    "per_page": 50,
    "prev_page_url": null,
    "to": 2,
    "total": 2,
    "data": [
        {
            "meta": {
                "t_private": 0,
                "t_disabled": 0,
                "t_store_capacity_shared": 0,
                "t_appointment_type_name": "Physical Appointment",
                "t_appointment_type_image": "https:\/\/www.dressingwell.com\/images\/store\/dw-virtual-laptop.jpg",
                "t_appointment_type_description": "Physical Appointment",
                "t_project_type": "global_appointment_type_project"
            },
            "id": "ae685789-8d44-4a43-a909-61dada129697",
            "name": "Physical Appointment",
            "image_url": "https:\/\/www.dressingwell.com\/images\/store\/dw-virtual-laptop.jpg",
            "categories": [],
            "description": "Physical Appointment",
            "customer_fields": {
                "name": {
                    "title": "Name",
                    "required": true,
                    "prefilled": "",
                    "readonly": false
                },
                "email": {
                    "title": "E-mail",
                    "required": true,
                    "prefilled": "",
                    "readonly": false
                }
            },
            "availability_constraints": [],
            "availability": {
                "length": "1 hours",
                "to": "4 weeks",
                "buffer": "0 minutes"
            },
            "created_at": "2023-05-11T10:28:27-0400",
            "updated_at": "2023-05-11T10:28:46-0400"
        },
        {
            "meta": {
                "t_private": 0,
                "t_disabled": 0,
                "t_store_capacity_shared": 0,
                "t_appointment_type_name": "Virtual Appointments",
                "t_appointment_type_image": "https:\/\/www.dressingwell.com\/images\/store\/dw-virtual-laptop.jpg",
                "t_appointment_type_description": "Virtual Appointments",
                "t_project_type": "global_appointment_type_project"
            },
            "id": "6d575ee8-4027-4d94-b441-6abd8730225a",
            "name": "Virtual Appointments",
            "image_url": "https:\/\/www.dressingwell.com\/images\/store\/dw-virtual-laptop.jpg",
            "categories": [],
            "description": "Virtual Appointments",
            "customer_fields": {
                "name": {
                    "title": "Name",
                    "required": true,
                    "prefilled": "",
                    "readonly": false
                },
                "email": {
                    "title": "E-mail",
                    "required": true,
                    "prefilled": "",
                    "readonly": false
                }
            },
            "availability_constraints": [],
            "availability": {
                "length": "1 hours",
                "to": "4 weeks",
                "buffer": "0 minutes"
            },
            "created_at": "2023-05-11T10:28:13-0400",
            "updated_at": "2023-05-11T10:29:01-0400"
        }
    ]
}
Last edited 6 October 2026.